//
// Responsive Menu
// ==========================================

.menu .menu-item {
    &:focus {
        position: static;
    }

    > a:focus + ul.sub-menu,
    &.sfHover > ul.sub-menu {
        left: auto;
        opacity: 1;
    }
}

.genesis-responsive-menu {
    display: none;
    padding-bottom: 15px;
    position: relative;

    @media only screen and (min-width: $desktop) {
        display: block;
        padding-top: 15px;

        .genesis-nav-menu {
            .sub-menu,
            .sub-menu a {
                width: 180px;
            }
        }
    }
}

.menu-toggle,
.sub-menu-toggle {
    background-color: transparent;
    border-width: 0;
    color: $menu-toggle--color;
    display: block;
    margin: 0 auto;
    overflow: hidden;
    text-align: center;
    visibility: visible;

    @media only screen and (min-width: $desktop) {
        display: none;
        visibility: hidden;
    }

    &:focus,
    &:hover {
        background-color: transparent;
        border-width: 0;
        color: $menu-toggle--active-color;
    }
}

.menu-toggle {
    float: right;
    line-height: 20px;
    margin-bottom: 10px;
    margin-top: 10px;
    padding: 15px 0;
    position: relative;
    z-index: 1000;

    &.activated::before {
        content: "\f335";
    }

    .site-header &::before {
        float: left;
        margin-right: 5px;
        position: relative;
        text-rendering: auto;
        top: 1px;
    }
}

.sub-menu-toggle {
    float: right;
    padding: 9px 10px;
    position: absolute;
    right: 0;
    top: 0;
    z-index: 100;

    .sub-menu & {
        padding: 12px 10px;
    }

    &::before {
        display: inline-block;
        text-rendering: auto;
        transform: rotate( 0 );
        transition: transform .25s ease-in-out;
    }

    &.activated::before {
        transform: rotate( 180deg );
    }
}